Version File Reference
`#include <osgText/Export>`

Go to the source code of this file.

## Macros

#define | OSGTEXT_VERSION 1

## Functions

OSGTEXT_EXPORT const char * | osgTextGetVersion ()
OSGTEXT_EXPORT const char * | osgTextGetLibraryName ()

## Macro Definition Documentation

## OSGTEXT_VERSION

#define OSGTEXT_VERSION 1

## Function Documentation

## osgTextGetLibraryName()

OSGTEXT_EXPORT const char * osgTextGetLibraryName | ( |  | ) |

extern

osgTextGetLibraryName() returns the library name in human friendly form.

References OSGTEXT_EXPORT.

## osgTextGetVersion()

OSGTEXT_EXPORT const char * osgTextGetVersion | ( |  | ) |

extern

osgTextGetVersion() returns the library version number. Numbering convention : OpenSceneGraph-1.0 will return 1.0 from osgTextGetVersion.

This C function can be also used to check for the existence of the OpenSceneGraph library using autoconf and its m4 macro AC_CHECK_LIB.

Here is the code to add to your configure.in:

    #
    # Check for the OpenSceneGraph (OSG) Text library
    #
    AC_CHECK_LIB(osg, osgTextGetVersion, ,
       [AC_MSG_ERROR(OpenSceneGraph Text library not found. See http://www.openscenegraph.org)],)

References OSGTEXT_EXPORT.